/*
	$Id: Twitter.cs 6 2009-12-26 00:58:57Z catwalk $
*/
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Xml.Linq;
using System.Net;
using System.Net.NetworkInformation;
using System.Text;
using System.Text.RegularExpressions;
using System.Web;
using OAuthLib;

namespace Hiyoko.Twitter{
	public static class Twitter{
		public static Collection<User> SearchUsers(string q, int count, int page){
			using(HttpWebResponse res = TwitterAPI.SearchUsers(q, count, page))
			using(Stream stream = res.GetResponseStream()){
				string xmlString;
				using(StreamReader reader = new StreamReader(stream, Encoding.UTF8)){
					xmlString = reader.ReadToEnd();
				}
				System.Windows.MessageBox.Show(xmlString);
			}
			return new Collection<User>();
		}
	}
}